Status: Resolved Priority: Must have
Author: Aske Ertmann Category:

Created: 2013-02-13 Assigned To:

Updated: 2015-03-16 Due date:

Affected Flow version: Git 1.1

Subject: Removing primary electronic address fails in persistence

Description

When removing an electronic address which is also the primary electronic address of a Person an exception is thrown in the
persistence layer due to a property being unset and not set to NULL when validating the object before persisting.
Associated revisions

Revision b145b95d - 2013-02-26 19:03 - Aske Ertmann

[BUGFIX] Removing primary electronic address fails in persistence

When removing an electronic address which is also the primary
electronic address of a Person an exception is thrown in the
persistence layer due to a property being unset and not set

to NULL when validating the object before persisting.

Change-Id: 13f2e059d0ecbe2095648bbe6dbb85e15ea3dc750

Fixes: #45459
Releases: master, 2.0, 1.1

Revision 0a493dbb - 2013-02-27 11:36 - Aske Ertmann

[BUGFIX] Removing primary electronic address fails in persistence

When removing an electronic address which is also the primary

electronic address of a Person an exception is thrown in the

persistence layer due to a property being unset and not set

to NULL when validating the object before persisting.

Change-Id: 13f2e059d0ecbe2095648bbe6dbb85e15ea3dc750

Fixes: #45459

Releases: master, 2.0, 1.1

Revision 961ee9a4 - 2013-02-27 11:43 - Aske Ertmann

[BUGFIX] Removing primary electronic address fails in persistence

When removing an electronic address which is also the primary

electronic address of a Person an exception is thrown in the

persistence layer due to a property being unset and not set
to NULL when validating the object before persisting.
Change-Id: 13f2e059d0ecbe2095648bbe6dbb85e15ea3dc750

Fixes: #45459
Releases: master, 2.0, 1.1

History

#1 - 2013-02-13 16:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/18239

#2 - 2013-02-26 19:03 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/18239

#3 - 2013-02-26 19:03 - Karsten Dambekalns
- Target version changed from 2.1 to 2.0

#4 - 2013-02-26 19:04 - Karsten Dambekalns

- Affected Flow version changed from Git master to Git 1.1

| think this also affects FLOWS3 1.1

#5 - 2013-02-26 19:36 - Aske Ertmann
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:b145b95d8671afe8e2f976899f6f413384df96f7.

#6 - 2013-02-27 11:38 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.0rg/18508

#7 - 2013-02-27 11:43 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.

It is available at https://review.typo3.org/18509
#8 - 2013-02-27 13:36 - Aske Ertmann

- Status changed from Under Review to Resolved

Applied in changeset commit:961ee9a482023d12b733893d45f9107cacc6457d.

#9 - 2015-03-16 17:33 - Christian Miiller
- Target version deleted (2.0)
